#include<bits/stdc++.h>

using namespace std;

int niz[20000];

int main() {
	int n;
	cin >> n;
	int k;
	cin >> k;
	for(int i=0;i<n;i++) cin >> niz[i];
	for(int i=0;i<n;i++) {
		if(niz[i]==k) {
			if(i==n-1) {
				cout << niz[0];
				return 0;
			}
			cout << niz[i+1];
			return 0;
		}
	}
}